//
//  ImageResourceComparisonDemoTests.swift
//  ImageResourceComparisonDemoTests
//
//  Created by Mike Murray on 04/01/2023.
//

import XCTest
@testable import ImageResourceComparisonDemo
import CustomDump

final class ImageResourceComparisonDemoTests: XCTestCase {
    func testExample() throws {
        XCTAssertEqual(
            #imageLiteral(
                resourceName: "ExampleImage"
            ),
            #imageLiteral(
                resourceName: "ExampleImage2"
            )
        )
        
        XCTAssertNoDifference(
            #imageLiteral(
                resourceName: "ExampleImage"
            ),
            #imageLiteral(
                resourceName: "ExampleImage2"
            )
        )
        
        XCTAssertEqual(
            UIImage(named: "ExampleImage"),
            UIImage(named: "ExampleImage2")
        )
        
        XCTAssertNoDifference(
            UIImage(named: "ExampleImage"),
            UIImage(named: "ExampleImage2")
        )
    }
}
